NX Open C++ Reference Guide
|
Represents a Features::BridgeCurve builder. More...
Public Types | |
enum | EndObjectTypes { EndObjectTypesSection, EndObjectTypesObject, EndObjectTypesDatum, EndObjectTypesVector } |
End object type. More... | |
enum | RadiusConstraintMethods { RadiusConstraintMethodsNone, RadiusConstraintMethodsMinimum, RadiusConstraintMethodsPeak } |
Radius constraint methods. More... | |
enum | ShapeControlMethods { ShapeControlMethodsTangentMagnitude, ShapeControlMethodsDepthSkew, ShapeControlMethodsConic, ShapeControlMethodsTemplateCurve } |
Shape control methods. More... | |
enum | StartObjectTypes { StartObjectTypesSection, StartObjectTypesObject } |
Start object type. More... | |
Public Member Functions | |
NXOpen::ScCollector * | ConstraintFaces () |
Returns the constraint faces Created in NX8.5.0. | |
NXOpen::Expression * | ConstraintRadius () |
Returns the constraint radius Created in NX8.5.0. | |
NXOpen::GeometricUtilities::CurveFitData * | CurveFitData () |
Returns the curve fitting parameters Created in NX8.5.0. | |
NXOpen::GeometricUtilities::DepthSkewBuilder * | DepthSkew () |
Returns the depth skew Created in NX8.5.0. | |
NXOpen::GeometricUtilities::BridgeCurveConnectivity * | EndConnectivity () |
Returns the data representing connectivity information at end Created in NX8.5.0. | |
NXOpen::SelectNXObject * | EndObject () |
Returns the end object Created in NX8.5.0. | |
NXOpen::Features::BridgeCurveBuilderEx::EndObjectTypes | EndObjectType () |
Returns the end object type Created in NX8.5.0. | |
NXOpen::Section * | EndSection () |
Returns the end section Created in NX8.5.0. | |
NXOpen::Direction * | EndVector () |
Returns the end vector representing a plane for symmetric modeling Created in NX8.5.0. | |
void | Evaluate () |
Evaluates the curve Created in NX8.5.0. | |
bool | IsAssociative () |
Returns the flag indicating if a feature should be created Created in NX8.5.0. | |
NXOpen::Features::BridgeCurveBuilderEx::RadiusConstraintMethods | RadiusConstraintMethod () |
Returns the radius constraint method Created in NX8.5.0. | |
NXOpen::Expression * | Rho () |
Returns the rho value Created in NX8.5.0. | |
void | SetAssociative (bool associative) |
Sets the flag indicating if a feature should be created Created in NX8.5.0. | |
void | SetEndObjectType (NXOpen::Features::BridgeCurveBuilderEx::EndObjectTypes endObjectType) |
Sets the end object type Created in NX8.5.0. | |
void | SetEndVector (NXOpen::Direction *endVector) |
Sets the end vector representing a plane for symmetric modeling Created in NX8.5.0. | |
void | SetRadiusConstraintMethod (NXOpen::Features::BridgeCurveBuilderEx::RadiusConstraintMethods radiusConstraintMethod) |
Sets the radius constraint method Created in NX8.5.0. | |
void | SetShapeControlMethod (NXOpen::Features::BridgeCurveBuilderEx::ShapeControlMethods shapeControlMethod) |
Sets the shape control method Created in NX8.5.0. | |
void | SetStartObjectType (NXOpen::Features::BridgeCurveBuilderEx::StartObjectTypes startObjectType) |
Sets the start object type Created in NX8.5.0. | |
void | SetUseNearestPointOnSection (bool useNearestPointOnSection) |
Sets the flag indicating if the nearest cursor position on the section is to be used to locate start or end of the curve Created in NX9.0.0. | |
NXOpen::Features::BridgeCurveBuilderEx::ShapeControlMethods | ShapeControlMethod () |
Returns the shape control method Created in NX8.5.0. | |
NXOpen::GeometricUtilities::BridgeCurveConnectivity * | StartConnectivity () |
Returns the data representing connectivity information at start Created in NX8.5.0. | |
NXOpen::SelectNXObject * | StartObject () |
Returns the start object Created in NX8.5.0. | |
NXOpen::Features::BridgeCurveBuilderEx::StartObjectTypes | StartObjectType () |
Returns the start object type Created in NX8.5.0. | |
NXOpen::Section * | StartSection () |
Returns the start section Created in NX8.5.0. | |
NXOpen::GeometricUtilities::TangentMagnitudeBuilder * | TangentMagnitude () |
Returns the tangent magnitude Created in NX8.5.0. | |
NXOpen::SelectCurve * | TemplateCurve () |
Returns the template curve Created in NX8.5.0. | |
void | UpdateOnEndVectorReversal () |
Updates the builder based on end vector sense Created in NX8.5.0. | |
bool | UseNearestPointOnSection () |
Returns the flag indicating if the nearest cursor position on the section is to be used to locate start or end of the curve Created in NX9.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Features::BridgeCurve builder.
Use @link Features::BridgeCurveBuilderEx Features::BridgeCurveBuilderEx@endlink to create, shape and constrain bridges curves between curves, points, surfaces or surface edges. The builder can also create symmetric bridge curves across a datum plane, datum axis or a vector representing a plane. For more details see the NX documentation for Bridge Curves. <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateBridgeCurveBuilderEx Features::FeatureCollection::CreateBridgeCurveBuilderEx @endlink <br>
Default values.
Property | Value |
---|---|
ConstraintRadius.Value |
1.0 (millimeters part), 0.0625 (inches part) |
CurveFitData.CurveJoinMethod |
No |
CurveFitData.Degree |
7 |
CurveFitData.FitMethod |
DegreeAndSegments |
CurveFitData.IsAdvancedFit |
0 |
CurveFitData.IsAlignShape |
0 |
CurveFitData.MaximumDegree |
7 |
CurveFitData.MaximumSegments |
1 |
CurveFitData.MinimumDegree |
5 |
CurveFitData.Segments |
1 |
EndConnectivity.Continuity.ContinuityType |
G1 |
Rho.Value |
0.5 |
Created in NX8.5.0.
Shape control methods.
NXOpen::ScCollector* NXOpen::Features::BridgeCurveBuilderEx::ConstraintFaces | ( | ) |
Returns the constraint faces
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::BridgeCurveBuilderEx::ConstraintRadius | ( | ) |
Returns the constraint radius
Created in NX8.5.0.
License requirements : None
NXOpen::GeometricUtilities::CurveFitData* NXOpen::Features::BridgeCurveBuilderEx::CurveFitData | ( | ) |
Returns the curve fitting parameters
Created in NX8.5.0.
License requirements : None
NXOpen::GeometricUtilities::DepthSkewBuilder* NXOpen::Features::BridgeCurveBuilderEx::DepthSkew | ( | ) |
Returns the depth skew
Created in NX8.5.0.
License requirements : None
NXOpen::GeometricUtilities::BridgeCurveConnectivity* NXOpen::Features::BridgeCurveBuilderEx::EndConnectivity | ( | ) |
Returns the data representing connectivity information at end
Created in NX8.5.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::BridgeCurveBuilderEx::EndObject | ( | ) |
Returns the end object
Created in NX8.5.0.
License requirements : None
NXOpen::Features::BridgeCurveBuilderEx::EndObjectTypes NXOpen::Features::BridgeCurveBuilderEx::EndObjectType | ( | ) |
Returns the end object type
Created in NX8.5.0.
License requirements : None
NXOpen::Section* NXOpen::Features::BridgeCurveBuilderEx::EndSection | ( | ) |
Returns the end section
Created in NX8.5.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::BridgeCurveBuilderEx::EndVector | ( | ) |
Returns the end vector representing a plane for symmetric modeling
Created in NX8.5.0.
License requirements : None
void NXOpen::Features::BridgeCurveBuilderEx::Evaluate | ( | ) |
Evaluates the curve
Created in NX8.5.0.
License requirements : features_modeling ("FEATURES MODELING")
bool NXOpen::Features::BridgeCurveBuilderEx::IsAssociative | ( | ) |
Returns the flag indicating if a feature should be created
Created in NX8.5.0.
License requirements : features_modeling ("FEATURES MODELING")
NXOpen::Features::BridgeCurveBuilderEx::RadiusConstraintMethods NXOpen::Features::BridgeCurveBuilderEx::RadiusConstraintMethod | ( | ) |
Returns the radius constraint method
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::BridgeCurveBuilderEx::Rho | ( | ) |
Returns the rho value
Created in NX8.5.0.
License requirements : None
void NXOpen::Features::BridgeCurveBuilderEx::SetAssociative | ( | bool | associative | ) |
Sets the flag indicating if a feature should be created
Created in NX8.5.0.
License requirements : features_modeling ("FEATURES MODELING")
associative | associative |
void NXOpen::Features::BridgeCurveBuilderEx::SetEndObjectType | ( | NXOpen::Features::BridgeCurveBuilderEx::EndObjectTypes | endObjectType | ) |
Sets the end object type
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")
endObjectType | endobjecttype |
void NXOpen::Features::BridgeCurveBuilderEx::SetEndVector | ( | NXOpen::Direction * | endVector | ) |
Sets the end vector representing a plane for symmetric modeling
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")
endVector | endvector |
void NXOpen::Features::BridgeCurveBuilderEx::SetRadiusConstraintMethod | ( | NXOpen::Features::BridgeCurveBuilderEx::RadiusConstraintMethods | radiusConstraintMethod | ) |
Sets the radius constraint method
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")
radiusConstraintMethod | radiusconstraintmethod |
void NXOpen::Features::BridgeCurveBuilderEx::SetShapeControlMethod | ( | NXOpen::Features::BridgeCurveBuilderEx::ShapeControlMethods | shapeControlMethod | ) |
Sets the shape control method
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")
shapeControlMethod | shapecontrolmethod |
void NXOpen::Features::BridgeCurveBuilderEx::SetStartObjectType | ( | NXOpen::Features::BridgeCurveBuilderEx::StartObjectTypes | startObjectType | ) |
Sets the start object type
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")
startObjectType | startobjecttype |
void NXOpen::Features::BridgeCurveBuilderEx::SetUseNearestPointOnSection | ( | bool | useNearestPointOnSection | ) |
Sets the flag indicating if the nearest cursor position on the section is to be used to locate start or end of the curve
Created in NX9.0.0.
License requirements : features_modeling ("FEATURES MODELING")
useNearestPointOnSection | usenearestpointonsection |
NXOpen::Features::BridgeCurveBuilderEx::ShapeControlMethods NXOpen::Features::BridgeCurveBuilderEx::ShapeControlMethod | ( | ) |
Returns the shape control method
Created in NX8.5.0.
License requirements : None
NXOpen::GeometricUtilities::BridgeCurveConnectivity* NXOpen::Features::BridgeCurveBuilderEx::StartConnectivity | ( | ) |
Returns the data representing connectivity information at start
Created in NX8.5.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::BridgeCurveBuilderEx::StartObject | ( | ) |
Returns the start object
Created in NX8.5.0.
License requirements : None
NXOpen::Features::BridgeCurveBuilderEx::StartObjectTypes NXOpen::Features::BridgeCurveBuilderEx::StartObjectType | ( | ) |
Returns the start object type
Created in NX8.5.0.
License requirements : None
NXOpen::Section* NXOpen::Features::BridgeCurveBuilderEx::StartSection | ( | ) |
Returns the start section
Created in NX8.5.0.
License requirements : None
NXOpen::GeometricUtilities::TangentMagnitudeBuilder* NXOpen::Features::BridgeCurveBuilderEx::TangentMagnitude | ( | ) |
Returns the tangent magnitude
Created in NX8.5.0.
License requirements : None
NXOpen::SelectCurve* NXOpen::Features::BridgeCurveBuilderEx::TemplateCurve | ( | ) |
Returns the template curve
Created in NX8.5.0.
License requirements : None
void NXOpen::Features::BridgeCurveBuilderEx::UpdateOnEndVectorReversal | ( | ) |
Updates the builder based on end vector sense
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_1 ("basic freeform modeling")
bool NXOpen::Features::BridgeCurveBuilderEx::UseNearestPointOnSection | ( | ) |
Returns the flag indicating if the nearest cursor position on the section is to be used to locate start or end of the curve
Created in NX9.0.0.
License requirements : features_modeling ("FEATURES MODELING")